PLUGIN.Name = "Core Plugin"; -- What is the plugin name
PLUGIN.Author = "LuaBanana"; -- Author of the plugin
PLUGIN.Description = "Configures the gamemode on a deeper level."; -- The description or purpose of the plugin

-- !!!! WARNING !!!! --
-- DO NOT REMOVE ANYTHING IN THIS FILE OR YOUR SERVER WILL CEASE TO FUNCTION.
-- !!!! WARNING !!!! --

AddDataField( 1, "characters", { } );

-- These fields are what would be the default value, and it also allows the field to actually EXIST.
-- If there is a field in the data and it isn't added, it will automatically be removed.

-- Character Fields
AddDataField( 2, "name", "Set Your Name" ); -- Let's hope this never gets used.
AddDataField( 2, "model", "models/humans/group01/male_07.mdl" );
AddDataField( 2, "title", ConVars[ "Default_Title" ] ); -- What is their default title.
AddDataField( 2, "money", ConVars[ "Default_Money" ] ); -- How much money do players start out with.
AddDataField( 2, "flags", ConVars[ "Default_Flags" ] ); -- What flags do they start with.
AddDataField( 2, "inventory", ConVars[ "Default_Inventory" ] ); -- What inventory do they start with